Skip to main content
`Ctrl`+`K`

# pandas.api.types.is_datetime64_dtype

pandas.api.types.is_datetime64_dtype(arr_or_dtype)

  Check whether an array-like or dtype is of the datetime64 dtype.

  Parameters:
    arr_or_dtype array-like or dtype

      The array-like or dtype to check.

  Returns:
    boolean

      Whether or not the array-like or dtype is of the datetime64 dtype.

  Examples

      >>> from pandas.api.types import is_datetime64_dtype
      >>> is_datetime64_dtype(object)
      False
      >>> is_datetime64_dtype(np.datetime64)
      True
      >>> is_datetime64_dtype(np.array([], dtype=int))
      False
      >>> is_datetime64_dtype(np.array([], dtype=np.datetime64))
      True
      >>> is_datetime64_dtype([1, 2, 3])
      False